Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Class Properties

    java.lang.Object
      org.jboss.portal.portlet.Properties

    public class Properties

extends java.lang.Object

A set of multi valued properties produced by a response.

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`Properties()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`void` | `clear()` Clear the properties.
`java.util.List` | `getProperties(java.lang.String name)`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.util.Set` | `getPropertyNames()`
`void` | `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Properties

    public Properties()

Method Detail

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Parameters:
    `name` - the property name
    `value` - the property value
  Throws:
    `java.lang.IllegalArgumentException` - if name or value is null

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Parameters:
    `name` - the property name
    `value` - the property value
  Throws:
    `java.lang.IllegalArgumentException` - if name or value is null

### clear

    public void clear()

  Clear the properties.

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### getProperties

    public java.util.List getProperties(java.lang.String name)

  Parameters:
    `name` - the property name
  Returns:
    the list of properties for the specified name or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if name is null

### getPropertyNames

    public java.util.Set getPropertyNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD